## dbus-fast 1.84.2

=== docs/requirements.txt ===
myst-parser==0.18.1
Sphinx==5.2.3
sphinx-rtd-theme==1.0.0
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

## dbus-fast 1.48.0

=== debian/changelog ===
dbus-fast (1.48.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 21 Oct 2022 08:08:31 +0100

dbus-fast (1.47.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1021982)

 -- Edward Betts <edward@4angle.com>  Thu, 20 Oct 2022 09:54:46 +0100

=== debian/control ===
Source: dbus-fast
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-async-timeout,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sphinxcontrib-asyncio,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/bluetooth-devices/dbus-fast
Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git

Package: python3-dbus-fast
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Faster version of dbus-next
 dbus-fast is a Python library for DBus that aims to be a performant fully
 featured high level library primarily geared towards integration of
 applications into Linux desktop and mobile environments.
 .
 Desktop application developers can use this library for integrating their
 applications into desktop environments by implementing common DBus standard
 interfaces or creating custom plugin interfaces.
 .
 Desktop users can use this library to create their own scripts and utilities
 to interact with those interfaces for customization of their desktop
 environment.
 .
 dbus-fast plans to improve over other DBus libraries for Python in the
 following ways:
 .
  - Zero dependencies and pure Python 3.
  - Focus on performance
  - Support for multiple IO backends including asyncio and the GLib main loop.
  - Nonblocking IO suitable for GUI development.
  - Target the latest language features of Python for beautiful services and
    clients.
  - Complete implementation of the DBus type system without ever guessing
    types.
  - Integration tests for all features of the library.
  - Completely documented public API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dbus-fast
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_tcp_connection_with_forwarding" --no-cov
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dbus_fast.egg-info/ src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build

override_dh_auto_test:
	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --no-parallel

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

## dbus-fast 1.72.0

=== debian/changelog ===
dbus-fast (1.72.0-2) unstable; urgency=medium

  * Skip failing test in autopkgtest.

 -- Edward Betts <edward@4angle.com>  Wed, 09 Nov 2022 12:50:05 +0000

dbus-fast (1.72.0-1) unstable; urgency=medium

  * New upstream release.
  * Cython is broken on big endian architectures, so disable it on big endian
    architectures.
  * Disable the test_glib_properties test which fails with a segfault.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Nov 2022 12:31:30 +0000

dbus-fast (1.61.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Nov 2022 07:36:19 +0000

dbus-fast (1.56.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Build-Depends for cython3 and python3-all-dev.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Oct 2022 10:43:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,15 @@
 
 export PYBUILD_NAME=dbus-fast
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-k "not test_tcp_connection_with_forwarding" --no-cov
+export PYBUILD_TEST_ARGS=-k "not test_tcp_connection_with_forwarding and not test_glib_properties" --no-cov
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export REQUIRE_CYTHON=1
+ifeq ($(shell lscpu | grep -q "Big Endian" && echo -n "big"),big)
+	export SKIP_CYTHON=1
+else
+	export REQUIRE_CYTHON=1
+endif
+
 
 %:
 	dh $@ --buildsystem=pybuild

## dbus-fast 1.75.0

=== debian/changelog ===
dbus-fast (1.75.0-2) unstable; urgency=medium

  * Patch pyproject.toml to remove poetry group dependencies, not just the
    poetry group dependencies headings. This avoids pulling in all the build
    dependencies as run-time dependencies. (Closes: #1024243)
  * Skip another failing test in autopkgtest.

 -- Edward Betts <edward@4angle.com>  Sat, 19 Nov 2022 16:56:35 +0000

dbus-fast (1.75.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 18 Nov 2022 16:30:04 +0000

## dbus-fast 1.75.1

=== debian/changelog ===
dbus-fast (1.75.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 01 Dec 2022 11:43:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: dbus-x11 <!nocheck>,
+Build-Depends: cython3,
+               dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-all-dev,
                python3-async-timeout,
                python3-poetry-core,
                python3-pytest <!nocheck>,

## dbus-fast 1.82.0

=== debian/changelog ===
dbus-fast (1.82.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 09 Dec 2022 20:09:37 +0000

## dbus-fast 1.83.1

=== debian/changelog ===
dbus-fast (1.83.1-2) unstable; urgency=medium

  * Drop patch to remove poetry group dependencies from pyproject.toml.
    The patch is no longer needed because poetry-core 1.3.2-3 has migrated
    to testing.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Jan 2023 16:23:34 +0000

dbus-fast (1.83.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 28 Dec 2022 19:56:53 +0000

## dbus-fast 1.84.0

=== debian/changelog ===
dbus-fast (1.84.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 16 Jan 2023 19:14:54 +0000

## dbus-fast 1.84.1

=== debian/changelog ===
dbus-fast (1.84.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 19 Feb 2023 12:01:18 +0000

## dbus-fast 1.84.2

=== debian/changelog ===
dbus-fast (1.84.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Mar 2023 17:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bluetooth-devices/dbus-fast
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
 Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 export PYBUILD_NAME=dbus-fast
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-k "not test_tcp_connection_with_forwarding and not test_glib_properties" --no-cov
+export PYBUILD_TEST_ARGS=-k "not test_tcp_connection_with_forwarding and not test_glib_properties and not test_sending_signals_between_buses" --no-cov
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export REQUIRE_CYTHON=1
 ifeq ($(shell lscpu | grep -q "Big Endian" && echo -n "big"),big)
 	export SKIP_CYTHON=1
 else

=== debian/tests/control ===
Tests: run-tests
Depends: dbus-x11,
         python3-all,
         python3-async-timeout,
         python3-poetry-core,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-cov,
         python3-setuptools,
         xauth,
         xvfb,
         @

## dbus-fast 1.85.0

=== debian/changelog ===
dbus-fast (1.85.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 22 Apr 2023 16:06:01 +0100

## dbus-fast 1.87.5

=== debian/changelog ===
dbus-fast (1.87.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Jul 2023 06:15:32 +0100

dbus-fast (1.86.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 05 May 2023 17:16:41 +0200

## dbus-fast 1.90.1

=== debian/changelog ===
dbus-fast (1.90.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-async-timeout from Build-Depends and test Depends, no longer
    required by upstream.
  * Needs at least version 0.3.0-2 of python3-sphinxcontrib-asyncio to build
    with the latest version of Sphinx. (Closes: #1042701)

 -- Edward Betts <edward@4angle.com>  Thu, 03 Aug 2023 13:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
-               python3-async-timeout,
                python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
@@ -19,7 +18,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-sphinxcontrib-asyncio,
+               python3-sphinxcontrib-asyncio (>= 0.3.0-2),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no

## dbus-fast 2.0.0

=== debian/changelog ===
dbus-fast (2.0.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:19:59 +0100

dbus-fast (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 08 Sep 2023 09:48:28 +0100

dbus-fast (1.95.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Sep 2023 20:20:42 +0100

dbus-fast (1.94.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 27 Aug 2023 09:16:01 -0400

dbus-fast (1.92.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Aug 2023 17:34:24 +0100

## dbus-fast 2.21.1

=== debian/changelog ===
dbus-fast (2.21.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:26 +1100

dbus-fast (2.21.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Add version requirement to cython3 Build-Depends, now required by
    upstream.

 -- Edward Betts <edward@4angle.com>  Wed, 28 Feb 2024 10:08:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dbus-fast
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3 (>= 3.0.5),
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf dbus_fast.egg-info/ src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build
+	rm -rf dbus_fast.egg-info/ src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build setup.py
 
 override_dh_auto_test:
 	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --no-parallel

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Tests: run-tests
 Depends: dbus-x11,
          python3-all,
-         python3-async-timeout,
          python3-poetry-core,
          python3-pytest,
          python3-pytest-asyncio,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dbus-fast-$1\.tar\.gz/ \
  https://github.com/bluetooth-devices/dbus-fast/tags .*/v?(\d\S+)\.tar\.gz

## dbus-fast 2.22.1

=== debian/changelog ===
dbus-fast (2.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 30 Jun 2024 08:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dbus-fast
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional

## dbus-fast 2.23.0

=== debian/changelog ===
dbus-fast (2.23.0-2) unstable; urgency=medium

  * Switch build-depends from dbus-x11 to dbus. Thanks to Simon McVittie for
    the patch. (Closes: #1079701)
  * No need to skip any tests now.

 -- Edward Betts <edward@4angle.com>  Mon, 26 Aug 2024 17:06:16 +0100

dbus-fast (2.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 25 Aug 2024 08:16:11 +0100

dbus-fast (2.21.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 22 May 2024 22:57:20 +0200

dbus-fast (2.21.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 12 May 2024 21:03:12 +0100

=== debian/control ===
Source: dbus-fast
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 cython3 (>= 3.0.5),
 dbus <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-all-dev,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib-asyncio (>= 0.3.0-2),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bluetooth-devices/dbus-fast
Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git

Package: python3-dbus-fast
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Faster version of dbus-next
 dbus-fast is a Python library for DBus that aims to be a performant fully
 featured high level library primarily geared towards integration of
 applications into Linux desktop and mobile environments.
 .
 Desktop application developers can use this library for integrating their
 applications into desktop environments by implementing common DBus standard
 interfaces or creating custom plugin interfaces.
 .
 Desktop users can use this library to create their own scripts and utilities
 to interact with those interfaces for customization of their desktop
 environment.
 .
 dbus-fast plans to improve over other DBus libraries for Python in the
 following ways:
 .
  - Zero dependencies and pure Python 3.
  - Focus on performance
  - Support for multiple IO backends including asyncio and the GLib main loop.
  - Nonblocking IO suitable for GUI development.
  - Target the latest language features of Python for beautiful services and
    clients.
  - Complete implementation of the DBus type system without ever guessing
    types.
  - Integration tests for all features of the library.
  - Completely documented public API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dbus-fast
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
ifeq ($(shell lscpu | grep -q "Big Endian" && echo -n "big"),big)
	export SKIP_CYTHON=1
else
	export REQUIRE_CYTHON=1
endif


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dbus_fast.egg-info/ src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build setup.py

override_dh_auto_test:
	xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

=== debian/tests/control ===
Tests: run-tests
Depends:
 dbus,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-setuptools,
 xauth,
 xvfb,
 @,

## dbus-fast 2.24.0

=== docs/requirements.txt ===
myst-parser==1.0.0
Sphinx==5.2.3
sphinx-rtd-theme==2.0.0
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 06:20:36 +0100

## dbus-fast 2.24.2

=== docs/requirements.txt ===
myst-parser==3.0.1
Sphinx==5.2.3
sphinx-rtd-theme==2.0.0
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.24.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 10 Sep 2024 23:19:26 +0100

## dbus-fast 2.24.3

=== docs/requirements.txt ===
myst-parser==3.0.1
Sphinx==7.1.2
sphinx-rtd-theme==2.0.0
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.24.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 13:56:54 +0100

## dbus-fast 2.24.4

=== docs/requirements.txt ===
myst-parser==3.0.1
Sphinx==7.1.2
sphinx-rtd-theme==3.0.1
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 26 Nov 2024 12:40:59 +0000

## dbus-fast 2.28.0

=== docs/requirements.txt ===
myst-parser==3.0.1
Sphinx==7.1.2
sphinx-rtd-theme==3.0.2
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Tests need python3-pytest-codspeed.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 10 Jan 2025 08:13:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Section: python
 Priority: optional
 Build-Depends:
- cython3 (>= 3.0.5),
- dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ cython3 (>= 3.0.5),
+ dbus <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-poetry-core,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-pytest-codspeed <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=dbus-fast
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS=--no-cov
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -16,7 +15,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf dbus_fast.egg-info/ src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build setup.py
+	rm -rf src/dbus_fast/*.c src/dbus_fast/*/*.c docs/_build setup.py
 
 override_dh_auto_test:
 	xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 dbus,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-codspeed,
 python3-pytest-cov,
 python3-setuptools,
 xauth,
 xvfb,
 @,

## dbus-fast 2.30.2

=== docs/requirements.txt ===
myst-parser==3.0.1
Sphinx==7.4.7
sphinx-rtd-theme==3.0.2
sphinxcontrib-asyncio==0.3.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.30.2-1) unstable; urgency=medium

  * New upstream release.
  * Avoid pytest-codspeed because it is not available on all architectures.

 -- Edward Betts <edward@4angle.com>  Sat, 25 Jan 2025 11:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-poetry-core,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
- python3-pytest-codspeed <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-sphinx,

## dbus-fast 2.33.0

=== debian/changelog ===
dbus-fast (2.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the patch to disable the sphinxcontrib.fulltoc extension.
  * Upstream no longer using python3-sphinxcontrib-asyncio.

 -- Edward Betts <edward@4angle.com>  Fri, 07 Feb 2025 12:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-sphinxcontrib-asyncio (>= 0.3.0-2),
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=--no-cov
+export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/benchmarks
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 ifeq ($(shell lscpu | grep -q "Big Endian" && echo -n "big"),big)
 	export SKIP_CYTHON=1

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  python3-poetry-core,
  python3-pytest,
  python3-pytest-asyncio,
- python3-pytest-codspeed,
  python3-pytest-cov,
  python3-setuptools,
  xauth,

## dbus-fast 2.39.3

=== debian/changelog ===
dbus-fast (2.39.3-1) unstable; urgency=medium

  * New upstream release.
  * Cython now works on big endian architectures, enable it everywhere.
  * Update Standards-Version.
  * Move files to clean from override_dh_auto_clean to debian/clean.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Mar 2025 11:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/bluetooth-devices/dbus-fast
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
 Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git

## dbus-fast 2.39.5

=== debian/changelog ===
dbus-fast (2.39.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 14 Mar 2025 08:19:17 +0000

## dbus-fast 2.39.6

=== debian/changelog ===
dbus-fast (2.39.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 18 Mar 2025 06:22:29 +0000

## dbus-fast 2.43.0

=== debian/changelog ===
dbus-fast (2.43.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Mar 2025 08:07:33 +0000

## dbus-fast 2.44.1

=== debian/changelog ===
dbus-fast (2.44.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 16 Apr 2025 10:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/bluetooth-devices/dbus-fast
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
 Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git

=== debian/watch ===
version=4
https://github.com/bluetooth-devices/dbus-fast/tags .*/v?(\d\S+)\.tar\.gz

## dbus-fast 2.44.3

=== debian/changelog ===
dbus-fast (2.44.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Sep 2025 09:50:24 +0100

## dbus-fast 2.44.5

=== docs/requirements.txt ===
myst-parser==4.0.0
Sphinx==8.1.3
sphinx-rtd-theme==3.0.2
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (2.44.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 08 Oct 2025 12:04:49 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: bluetooth-devices
Project: dbus-fast

## dbus-fast 2.45.1

=== docs/source/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = dbus-fast
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
dbus-fast (2.45.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Nov 2025 08:15:23 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-sphinx-rtd-theme,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/bluetooth-devices/dbus-fast
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/benchmarks
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export REQUIRE_CYTHON=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

## dbus-fast 3.1.2

=== debian/changelog ===
dbus-fast (3.1.2-2) unstable; urgency=medium

  * Replace Build-Depends on dbus with dbus-daemon, as recommended for
    packages using dbus-run-session. (Closes: #1122558)

 -- Edward Betts <edward@4angle.com>  Thu, 11 Dec 2025 18:01:29 +0000

dbus-fast (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 19 Nov 2025 09:00:08 +0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
- cython3 (>= 3.0.5),
- dbus <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-poetry-core,
+Build-Depends-Arch:
+ dh-sequence-sphinxdoc,
+ cython3 (>= 3.0.5),
+ dbus-daemon <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Tests:
  run-tests,
 Depends:
- dbus,
+ dbus-daemon,
  python3-all,
  python3-poetry-core,
  python3-pytest,

## dbus-fast 4.0.0

=== docs/requirements.txt ===
myst-parser==4.0.1
Sphinx==8.1.3
sphinx-rtd-theme==3.1.0
sphinxcontrib-fulltoc==1.2.0

=== debian/changelog ===
dbus-fast (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 05 Feb 2026 08:29:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -23,7 +22,7 @@
  python3-sphinx-rtd-theme,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bluetooth-devices/dbus-fast
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dbus-fast
 Vcs-Git: https://salsa.debian.org/python-team/packages/dbus-fast.git
